part 'banner.g.dart';

class Banner {
  static const ACTION_PROMOTION = "open_promotion";
  static const ACTION_PRODUCT = "open_product";
  static const ACTION_CATEGORY = "open_category";
  static const ACTION_TAG = "open_tag";
  static const ACTION_URL = "open_url";
  static const ACTION_WEBVIEW = "open_webview";
  static const ACTION_OPEN_VIDEO = "open_video";

  Banner(this.id, this.imageUrl, this.action, this.referenceId);

  String id;
  String imageUrl;
  String action;
  String referenceId;
  BannerType type;

  factory Banner.fromJson(Map<String, dynamic> json) => _$BannerFromJson(json);

  Map<String, dynamic> toJson() => _$BannerToJson(this);
}

enum BannerType {
  carousel,

  body
}
